Bug 97301 - LOKDocView: zoom methods should not crash when no document is loaded
Summary: LOKDocView: zoom methods should not crash when no document is loaded
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.2 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-21 15:15 UTC by Debarshi Ray
Modified: 2016-10-25 19:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Debarshi Ray 2016-01-21 15:15:57 UTC
Trying to zoom in/out of the widget when no document is loaded leads to a crash. It would be nice if it could silently return.

As far as I can tell, this is a regression. For example, it used to work with libreoffice-5.1.0.1-2.fc24, but doesn't with libreoffice-core-5.1.0.2-2.fc24.
Comment 1 Commit Notification 2016-02-13 21:31:14 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f01bac5cc2b54b6df731b45c46187fec12515b46

tdf#97301: Return silently when no document is loaded

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.